[PC-BSD Commits] r150 - in pcbsd/trunk/system-overlay/etc: . rc.d
svn at pcbsd.org
svn at pcbsd.org
Thu Apr 5 20:16:07 PDT 2007
Author: kris
Date: 2007-04-06 04:16:06 +0100 (Fri, 06 Apr 2007)
New Revision: 150
Modified:
pcbsd/trunk/system-overlay/etc/devfs.conf
pcbsd/trunk/system-overlay/etc/devfs.rules
pcbsd/trunk/system-overlay/etc/hosts
pcbsd/trunk/system-overlay/etc/hosts.allow
pcbsd/trunk/system-overlay/etc/motd
pcbsd/trunk/system-overlay/etc/periodic.conf
pcbsd/trunk/system-overlay/etc/pf.inports
pcbsd/trunk/system-overlay/etc/rc.conf
pcbsd/trunk/system-overlay/etc/rc.d/sshd
pcbsd/trunk/system-overlay/etc/rc.local
pcbsd/trunk/system-overlay/etc/rc.shutdown
Log:
Fixed ^M characters which appear in these files
Modified: pcbsd/trunk/system-overlay/etc/devfs.conf
===================================================================
--- pcbsd/trunk/system-overlay/etc/devfs.conf 2007-04-02 21:28:24 UTC (rev 149)
+++ pcbsd/trunk/system-overlay/etc/devfs.conf 2007-04-06 03:16:06 UTC (rev 150)
@@ -1,62 +1,62 @@
-# Copyright (c) 2003 The FreeBSD Project
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-# 1. Redistributions of source code must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-# 2. Redistributions in binary form must reproduce the above copyright
-# notice, this list of conditions and the following disclaimer in the
-# documentation and/or other materials provided with the distribution.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
-# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
-# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
-# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
-# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
-# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
-# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
-# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
-# SUCH DAMAGE.
-#
-# $FreeBSD: src/etc/devfs.conf,v 1.2 2004/06/06 11:46:27 schweikh Exp $
-
-# These are examples of how to configure devices using /etc/rc.d/devfs.
-# The first parameter is always the action to take, the second is always the
-# existing device created by devfs, and the last is what you want to change.
-# The name of the action is only significant to the first unique character.
-#
-# Examples:
-
-# Historically X depended on this, but version 4.3.0 doesn't seem to anymore
-#link ttyv0 vga
-
-# Commonly used by many ports
-link cd0 cdrom
-link cd0 dvd
-
-# Allow a user in the wheel group to query the smb0 device
-#perm smb0 0660
-
-# Allow members of group operator to cat things to the speaker
-#own speaker root:operator
-#perm speaker 0660
-
-# Allow all users to access CD's
-perm /dev/acd0 0666
-perm /dev/acd1 0666
-perm /dev/cd0 0666
-perm /dev/cd1 0666
-
-# Allow all USB Devices to be mounted
-perm /dev/da0 0666
-perm /dev/da1 0666
-perm /dev/da2 0666
-perm /dev/da3 0666
-
-# Misc other devices
-perm /dev/pass0 0666
-perm /dev/xpt0 0666
+# Copyright (c) 2003 The FreeBSD Project
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD: src/etc/devfs.conf,v 1.2 2004/06/06 11:46:27 schweikh Exp $
+
+# These are examples of how to configure devices using /etc/rc.d/devfs.
+# The first parameter is always the action to take, the second is always the
+# existing device created by devfs, and the last is what you want to change.
+# The name of the action is only significant to the first unique character.
+#
+# Examples:
+
+# Historically X depended on this, but version 4.3.0 doesn't seem to anymore
+#link ttyv0 vga
+
+# Commonly used by many ports
+link cd0 cdrom
+link cd0 dvd
+
+# Allow a user in the wheel group to query the smb0 device
+#perm smb0 0660
+
+# Allow members of group operator to cat things to the speaker
+#own speaker root:operator
+#perm speaker 0660
+
+# Allow all users to access CD's
+perm /dev/acd0 0666
+perm /dev/acd1 0666
+perm /dev/cd0 0666
+perm /dev/cd1 0666
+
+# Allow all USB Devices to be mounted
+perm /dev/da0 0666
+perm /dev/da1 0666
+perm /dev/da2 0666
+perm /dev/da3 0666
+
+# Misc other devices
+perm /dev/pass0 0666
+perm /dev/xpt0 0666
Modified: pcbsd/trunk/system-overlay/etc/devfs.rules
===================================================================
--- pcbsd/trunk/system-overlay/etc/devfs.rules 2007-04-02 21:28:24 UTC (rev 149)
+++ pcbsd/trunk/system-overlay/etc/devfs.rules 2007-04-06 03:16:06 UTC (rev 150)
@@ -1,6 +1,6 @@
-[devfsrules_common=7]
-add path 'ad*' mode 666 group operator
-add path 'acd*' mode 666 group operator
-add path 'cd*' mode 666 group operator
-add path 'pass*' mode 666 group operator
-add path 'xpt*' mode 666 group operator
+[devfsrules_common=7]
+add path 'ad*' mode 666 group operator
+add path 'acd*' mode 666 group operator
+add path 'cd*' mode 666 group operator
+add path 'pass*' mode 666 group operator
+add path 'xpt*' mode 666 group operator
Modified: pcbsd/trunk/system-overlay/etc/hosts
===================================================================
--- pcbsd/trunk/system-overlay/etc/hosts 2007-04-02 21:28:24 UTC (rev 149)
+++ pcbsd/trunk/system-overlay/etc/hosts 2007-04-06 03:16:06 UTC (rev 150)
@@ -1,31 +1,31 @@
-# $FreeBSD: src/etc/hosts,v 1.16 2003/01/28 21:29:23 dbaker Exp $
-#
-# Host Database
-#
-# This file should contain the addresses and aliases for local hosts that
-# share this file. Replace 'my.domain' below with the domainname of your
-# machine.
-#
-# In the presence of the domain name service or NIS, this file may
-# not be consulted at all; see /etc/nsswitch.conf for the resolution order.
-#
-#
-::1 localhost localhost.localdomain PCBSD.localhost
-127.0.0.1 localhost localhost.localdomain PCBSD.localhost
-#
-# Imaginary network.
-#10.0.0.2 myname.my.domain myname
-#10.0.0.3 myfriend.my.domain myfriend
-#
-# According to RFC 1918, you can use the following IP networks for
-# private nets which will never be connected to the Internet:
-#
-# 10.0.0.0 - 10.255.255.255
-# 172.16.0.0 - 172.31.255.255
-# 192.168.0.0 - 192.168.255.255
-#
-# In case you want to be able to connect to the Internet, you need
-# real official assigned numbers. Do not try to invent your own network
-# numbers but instead get one from your network provider (if any) or
-# from your regional registry (ARIN, APNIC, LACNIC, RIPE NCC, or AfriNIC.)
-#
+# $FreeBSD: src/etc/hosts,v 1.16 2003/01/28 21:29:23 dbaker Exp $
+#
+# Host Database
+#
+# This file should contain the addresses and aliases for local hosts that
+# share this file. Replace 'my.domain' below with the domainname of your
+# machine.
+#
+# In the presence of the domain name service or NIS, this file may
+# not be consulted at all; see /etc/nsswitch.conf for the resolution order.
+#
+#
+::1 localhost localhost.localdomain PCBSD.localhost
+127.0.0.1 localhost localhost.localdomain PCBSD.localhost
+#
+# Imaginary network.
+#10.0.0.2 myname.my.domain myname
+#10.0.0.3 myfriend.my.domain myfriend
+#
+# According to RFC 1918, you can use the following IP networks for
+# private nets which will never be connected to the Internet:
+#
+# 10.0.0.0 - 10.255.255.255
+# 172.16.0.0 - 172.31.255.255
+# 192.168.0.0 - 192.168.255.255
+#
+# In case you want to be able to connect to the Internet, you need
+# real official assigned numbers. Do not try to invent your own network
+# numbers but instead get one from your network provider (if any) or
+# from your regional registry (ARIN, APNIC, LACNIC, RIPE NCC, or AfriNIC.)
+#
Modified: pcbsd/trunk/system-overlay/etc/hosts.allow
===================================================================
--- pcbsd/trunk/system-overlay/etc/hosts.allow 2007-04-02 21:28:24 UTC (rev 149)
+++ pcbsd/trunk/system-overlay/etc/hosts.allow 2007-04-06 03:16:06 UTC (rev 150)
@@ -1,97 +1,97 @@
-#
-# hosts.allow access control file for "tcp wrapped" applications.
-# $FreeBSD: src/etc/hosts.allow,v 1.19.8.1 2006/02/19 14:57:01 ume Exp $
-#
-# NOTE: The hosts.deny file is deprecated.
-# Place both 'allow' and 'deny' rules in the hosts.allow file.
-# See hosts_options(5) for the format of this file.
-# hosts_access(5) no longer fully applies.
-
-# _____ _ _
-# | ____| __ __ __ _ _ __ ___ _ __ | | ___ | |
-# | _| \ \/ / / _` | | '_ ` _ \ | '_ \ | | / _ \ | |
-# | |___ > < | (_| | | | | | | | | |_) | | | | __/ |_|
-# |_____| /_/\_\ \__,_| |_| |_| |_| | .__/ |_| \___| (_)
-# |_|
-# !!! This is an example! You will need to modify it for your specific
-# !!! requirements!
-
-
-# Start by allowing everything (this prevents the rest of the file
-# from working, so remove it when you need protection).
-# The rules here work on a "First match wins" basis.
-#ALL : ALL : allow
-
-# Wrapping sshd(8) is not normally a good idea, but if you
-# need to do it, here's how
-#sshd : .evil.cracker.example.com : deny
-
-# Protect against simple DNS spoofing attacks by checking that the
-# forward and reverse records for the remote host match. If a mismatch
-# occurs, access is denied, and any positive ident response within
-# 20 seconds is logged. No protection is afforded against DNS poisoning,
-# IP spoofing or more complicated attacks. Hosts with no reverse DNS
-# pass this rule.
-ALL : PARANOID : RFC931 20 : deny
-
-# Allow anything from localhost. Note that an IP address (not a host
-# name) *MUST* be specified for rpcbind(8).
-ALL : localhost 127.0.0.1 : allow
-# Comment out next line if you build libwrap with NO_INET6=yes.
-ALL : [::1] : allow
-ALL : my.machine.example.com 192.0.2.35 : allow
-
-# To use IPv6 addresses you must enclose them in []'s
-ALL : [fe80::%fxp0]/10 : allow
-ALL : [fe80::]/10 : deny
-ALL : [2001:db8:2:1:2:3:4:3fe1] : deny
-ALL : [2001:db8:2:1::]/64 : allow
-
-# Sendmail can help protect you against spammers and relay-rapers
-sendmail : localhost : allow
-sendmail : .nice.guy.example.com : allow
-sendmail : .evil.cracker.example.com : deny
-sendmail : ALL : allow
-
-# Exim is an alternative to sendmail, available in the ports tree
-exim : localhost : allow
-exim : .nice.guy.example.com : allow
-exim : .evil.cracker.example.com : deny
-exim : ALL : allow
-
-# Rpcbind is used for all RPC services; protect your NFS!
-# (IP addresses rather than hostnames *MUST* be used here)
-rpcbind : 192.0.2.32/255.255.255.224 : allow
-rpcbind : 192.0.2.96/255.255.255.224 : allow
-rpcbind : ALL : deny
-
-# NIS master server. Only local nets should have access
-ypserv : localhost : allow
-ypserv : .unsafe.my.net.example.com : deny
-ypserv : .my.net.example.com : allow
-ypserv : ALL : deny
-
-# Provide a small amount of protection for ftpd
-ftpd : localhost : allow
-ftpd : .nice.guy.example.com : allow
-ftpd : .evil.cracker.example.com : deny
-ftpd : ALL : allow
-
-# You need to be clever with finger; do _not_ backfinger!! You can easily
-# start a "finger war".
-fingerd : ALL \
- : spawn (echo Finger. | \
- /usr/bin/mail -s "tcpd\: %u@%h[%a] fingered me!" root) & \
- : deny
-
-# The rest of the daemons are protected.
-#ALL : ALL \
-# : severity auth.info \
-# : twist /bin/echo "You are not welcome to use %d from %h."
-
-# denyhosts
-sshd : /etc/hosts.deniedssh \
- : severity auth.info \
- : twist /bin/echo "Server %d denied from %h"
- : deny
-sshd : ALL : allow
+#
+# hosts.allow access control file for "tcp wrapped" applications.
+# $FreeBSD: src/etc/hosts.allow,v 1.19.8.1 2006/02/19 14:57:01 ume Exp $
+#
+# NOTE: The hosts.deny file is deprecated.
+# Place both 'allow' and 'deny' rules in the hosts.allow file.
+# See hosts_options(5) for the format of this file.
+# hosts_access(5) no longer fully applies.
+
+# _____ _ _
+# | ____| __ __ __ _ _ __ ___ _ __ | | ___ | |
+# | _| \ \/ / / _` | | '_ ` _ \ | '_ \ | | / _ \ | |
+# | |___ > < | (_| | | | | | | | | |_) | | | | __/ |_|
+# |_____| /_/\_\ \__,_| |_| |_| |_| | .__/ |_| \___| (_)
+# |_|
+# !!! This is an example! You will need to modify it for your specific
+# !!! requirements!
+
+
+# Start by allowing everything (this prevents the rest of the file
+# from working, so remove it when you need protection).
+# The rules here work on a "First match wins" basis.
+#ALL : ALL : allow
+
+# Wrapping sshd(8) is not normally a good idea, but if you
+# need to do it, here's how
+#sshd : .evil.cracker.example.com : deny
+
+# Protect against simple DNS spoofing attacks by checking that the
+# forward and reverse records for the remote host match. If a mismatch
+# occurs, access is denied, and any positive ident response within
+# 20 seconds is logged. No protection is afforded against DNS poisoning,
+# IP spoofing or more complicated attacks. Hosts with no reverse DNS
+# pass this rule.
+ALL : PARANOID : RFC931 20 : deny
+
+# Allow anything from localhost. Note that an IP address (not a host
+# name) *MUST* be specified for rpcbind(8).
+ALL : localhost 127.0.0.1 : allow
+# Comment out next line if you build libwrap with NO_INET6=yes.
+ALL : [::1] : allow
+ALL : my.machine.example.com 192.0.2.35 : allow
+
+# To use IPv6 addresses you must enclose them in []'s
+ALL : [fe80::%fxp0]/10 : allow
+ALL : [fe80::]/10 : deny
+ALL : [2001:db8:2:1:2:3:4:3fe1] : deny
+ALL : [2001:db8:2:1::]/64 : allow
+
+# Sendmail can help protect you against spammers and relay-rapers
+sendmail : localhost : allow
+sendmail : .nice.guy.example.com : allow
+sendmail : .evil.cracker.example.com : deny
+sendmail : ALL : allow
+
+# Exim is an alternative to sendmail, available in the ports tree
+exim : localhost : allow
+exim : .nice.guy.example.com : allow
+exim : .evil.cracker.example.com : deny
+exim : ALL : allow
+
+# Rpcbind is used for all RPC services; protect your NFS!
+# (IP addresses rather than hostnames *MUST* be used here)
+rpcbind : 192.0.2.32/255.255.255.224 : allow
+rpcbind : 192.0.2.96/255.255.255.224 : allow
+rpcbind : ALL : deny
+
+# NIS master server. Only local nets should have access
+ypserv : localhost : allow
+ypserv : .unsafe.my.net.example.com : deny
+ypserv : .my.net.example.com : allow
+ypserv : ALL : deny
+
+# Provide a small amount of protection for ftpd
+ftpd : localhost : allow
+ftpd : .nice.guy.example.com : allow
+ftpd : .evil.cracker.example.com : deny
+ftpd : ALL : allow
+
+# You need to be clever with finger; do _not_ backfinger!! You can easily
+# start a "finger war".
+fingerd : ALL \
+ : spawn (echo Finger. | \
+ /usr/bin/mail -s "tcpd\: %u@%h[%a] fingered me!" root) & \
+ : deny
+
+# The rest of the daemons are protected.
+#ALL : ALL \
+# : severity auth.info \
+# : twist /bin/echo "You are not welcome to use %d from %h."
+
+# denyhosts
+sshd : /etc/hosts.deniedssh \
+ : severity auth.info \
+ : twist /bin/echo "Server %d denied from %h"
+ : deny
+sshd : ALL : allow
Modified: pcbsd/trunk/system-overlay/etc/motd
===================================================================
--- pcbsd/trunk/system-overlay/etc/motd 2007-04-02 21:28:24 UTC (rev 149)
+++ pcbsd/trunk/system-overlay/etc/motd 2007-04-06 03:16:06 UTC (rev 150)
@@ -1,3 +1,3 @@
-Welcome to PC-BSD 1.3!
-
-For information on the web, visit us at www.pcbsd.org
+Welcome to PC-BSD 1.3!
+
+For information on the web, visit us at www.pcbsd.org
Modified: pcbsd/trunk/system-overlay/etc/periodic.conf
===================================================================
--- pcbsd/trunk/system-overlay/etc/periodic.conf 2007-04-02 21:28:24 UTC (rev 149)
+++ pcbsd/trunk/system-overlay/etc/periodic.conf 2007-04-06 03:16:06 UTC (rev 150)
@@ -1,2 +1,2 @@
-monthly_statistics_enable="YES"
-monthly_statistics_report_devices="YES"
+monthly_statistics_enable="YES"
+monthly_statistics_report_devices="YES"
Modified: pcbsd/trunk/system-overlay/etc/pf.inports
===================================================================
--- pcbsd/trunk/system-overlay/etc/pf.inports 2007-04-02 21:28:24 UTC (rev 149)
+++ pcbsd/trunk/system-overlay/etc/pf.inports 2007-04-06 03:16:06 UTC (rev 150)
@@ -1,11 +1,11 @@
-# SSH (Secure Shell)
-tcp: 22
-#tcp: 80
-tcp: 445
-#udp: 445
-tcp: 137
-#tcp: 138
-tcp: 139
-udp: 137
-udp: 138
-#udp: 139
+# SSH (Secure Shell)
+tcp: 22
+#tcp: 80
+tcp: 445
+#udp: 445
+tcp: 137
+#tcp: 138
+tcp: 139
+udp: 137
+udp: 138
+#udp: 139
Modified: pcbsd/trunk/system-overlay/etc/rc.conf
===================================================================
--- pcbsd/trunk/system-overlay/etc/rc.conf 2007-04-02 21:28:24 UTC (rev 149)
+++ pcbsd/trunk/system-overlay/etc/rc.conf 2007-04-06 03:16:06 UTC (rev 150)
@@ -1,41 +1,41 @@
-background_dhclient="YES"
-hostname="PCBSD.localhost"
-compat5x_enable="YES"
-
-NIC="de em ixgb txp vx bfe bge dc fxp lge nge pcn re rl sf sis sk ste ti tl tx vge vr wb xl cs ed ex ep fe ie lnc sn xe an awi wi nve"
-
-for i in $NIC; do
- eval ifconfig_${i}0="DHCP"
- eval ifconfig_${i}1="DHCP"
-done
-
-blanktime="180"
-saver="logo"
-sshd_enable="YES"
-usbd_enable="YES"
-moused_type="auto"
-moused_enable="YES"
-devd_enable="YES"
-devfs_system_ruleset="devfsrules_common"
-
-#Enable samba server
-samba_enable="YES"
-
-# Disable LPD
-lpd_enable="NO"
-
-# Enable CUPS
-cupsd_enable="YES"
-enable_linux="YES"
-
-# FSCK Enhancements
-fsck_y_enable="YES"
-background_fsck="NO"
-
-# tmpmfs Flags
-tmpmfs="YES"
-tmpsize="800m"
-tmpmfs_flags="-S"
-
-# Denyhosts Startup
-denyhosts_enable="YES"
+background_dhclient="YES"
+hostname="PCBSD.localhost"
+compat5x_enable="YES"
+
+NIC="de em ixgb txp vx bfe bge dc fxp lge nge pcn re rl sf sis sk ste ti tl tx vge vr wb xl cs ed ex ep fe ie lnc sn xe an awi wi nve"
+
+for i in $NIC; do
+ eval ifconfig_${i}0="DHCP"
+ eval ifconfig_${i}1="DHCP"
+done
+
+blanktime="180"
+saver="logo"
+sshd_enable="YES"
+usbd_enable="YES"
+moused_type="auto"
+moused_enable="YES"
+devd_enable="YES"
+devfs_system_ruleset="devfsrules_common"
+
+#Enable samba server
+samba_enable="YES"
+
+# Disable LPD
+lpd_enable="NO"
+
+# Enable CUPS
+cupsd_enable="YES"
+enable_linux="YES"
+
+# FSCK Enhancements
+fsck_y_enable="YES"
+background_fsck="NO"
+
+# tmpmfs Flags
+tmpmfs="YES"
+tmpsize="800m"
+tmpmfs_flags="-S"
+
+# Denyhosts Startup
+denyhosts_enable="YES"
Modified: pcbsd/trunk/system-overlay/etc/rc.d/sshd
===================================================================
--- pcbsd/trunk/system-overlay/etc/rc.d/sshd 2007-04-02 21:28:24 UTC (rev 149)
+++ pcbsd/trunk/system-overlay/etc/rc.d/sshd 2007-04-06 03:16:06 UTC (rev 150)
@@ -1,92 +1,92 @@
-#!/bin/sh
-#
-# $NetBSD: sshd,v 1.18 2002/04/29 08:23:34 lukem Exp $
-# $FreeBSD: src/etc/rc.d/sshd,v 1.8.2.1 2005/12/16 01:42:54 dougb Exp $
-#
-
-# PROVIDE: sshd
-# REQUIRE: LOGIN cleanvar
-
-. /etc/rc.subr
-
-name="sshd"
-rcvar=`set_rcvar`
-command="/usr/sbin/${name}"
-keygen_cmd="sshd_keygen"
-start_precmd="sshd_precmd"
-pidfile="/var/run/${name}.pid"
-extra_commands="keygen reload"
-
-timeout=300
-
-user_reseed()
-{
- (
- seeded=`sysctl -n kern.random.sys.seeded 2>/dev/null`
- if [ "${seeded}" != "" ] ; then
- #warn "Setting entropy source to blocking mode."
- #echo "===================================================="
- #echo "Type a full screenful of random junk to unblock"
- #echo "it and remember to finish with <enter>. This will"
- #echo "timeout in ${timeout} seconds, but waiting for"
- #echo "the timeout without typing junk may make the"
- #echo "entropy source deliver predictable output."
- #echo ""
- #echo "Just hit <enter> for fast+insecure startup."
- #echo "===================================================="
- #sysctl kern.random.sys.seeded=0 2>/dev/null
- #read -t ${timeout} junk
- echo "${junk}" `sysctl -a` `date` > /dev/random
- fi
- )
-}
-
-sshd_keygen()
-{
- (
- umask 022
- # Can't do anything if ssh is not installed
- [ -x /usr/bin/ssh-keygen ] || {
- warn "/usr/bin/ssh-keygen does not exist."
- return 1
- }
-
- if [ -f /etc/ssh/ssh_host_key ]; then
- echo "You already have an RSA host key" \
- "in /etc/ssh/ssh_host_key"
- echo "Skipping protocol version 1 RSA Key Generation"
- else
- /usr/bin/ssh-keygen -t rsa1 -b 1024 \
- -f /etc/ssh/ssh_host_key -N ''
- fi
-
- if [ -f /etc/ssh/ssh_host_dsa_key ]; then
- echo "You already have a DSA host key" \
- "in /etc/ssh/ssh_host_dsa_key"
- echo "Skipping protocol version 2 DSA Key Generation"
- else
- /usr/bin/ssh-keygen -t dsa -f /etc/ssh/ssh_host_dsa_key -N ''
- fi
-
- if [ -f /etc/ssh/ssh_host_rsa_key ]; then
- echo "You already have a RSA host key" \
- "in /etc/ssh/ssh_host_rsa_key"
- echo "Skipping protocol version 2 RSA Key Generation"
- else
- /usr/bin/ssh-keygen -t rsa -f /etc/ssh/ssh_host_rsa_key -N ''
- fi
- )
-}
-
-sshd_precmd()
-{
- if [ ! -f /etc/ssh/ssh_host_key -o \
- ! -f /etc/ssh/ssh_host_dsa_key -o \
- ! -f /etc/ssh/ssh_host_rsa_key ]; then
- user_reseed
- run_rc_command keygen
- fi
-}
-
-load_rc_config $name
-run_rc_command "$1"
+#!/bin/sh
+#
+# $NetBSD: sshd,v 1.18 2002/04/29 08:23:34 lukem Exp $
+# $FreeBSD: src/etc/rc.d/sshd,v 1.8.2.1 2005/12/16 01:42:54 dougb Exp $
+#
+
+# PROVIDE: sshd
+# REQUIRE: LOGIN cleanvar
+
+. /etc/rc.subr
+
+name="sshd"
+rcvar=`set_rcvar`
+command="/usr/sbin/${name}"
+keygen_cmd="sshd_keygen"
+start_precmd="sshd_precmd"
+pidfile="/var/run/${name}.pid"
+extra_commands="keygen reload"
+
+timeout=300
+
+user_reseed()
+{
+ (
+ seeded=`sysctl -n kern.random.sys.seeded 2>/dev/null`
+ if [ "${seeded}" != "" ] ; then
+ #warn "Setting entropy source to blocking mode."
+ #echo "===================================================="
+ #echo "Type a full screenful of random junk to unblock"
+ #echo "it and remember to finish with <enter>. This will"
+ #echo "timeout in ${timeout} seconds, but waiting for"
+ #echo "the timeout without typing junk may make the"
+ #echo "entropy source deliver predictable output."
+ #echo ""
+ #echo "Just hit <enter> for fast+insecure startup."
+ #echo "===================================================="
+ #sysctl kern.random.sys.seeded=0 2>/dev/null
+ #read -t ${timeout} junk
+ echo "${junk}" `sysctl -a` `date` > /dev/random
+ fi
+ )
+}
+
+sshd_keygen()
+{
+ (
+ umask 022
+ # Can't do anything if ssh is not installed
+ [ -x /usr/bin/ssh-keygen ] || {
+ warn "/usr/bin/ssh-keygen does not exist."
+ return 1
+ }
+
+ if [ -f /etc/ssh/ssh_host_key ]; then
+ echo "You already have an RSA host key" \
+ "in /etc/ssh/ssh_host_key"
+ echo "Skipping protocol version 1 RSA Key Generation"
+ else
+ /usr/bin/ssh-keygen -t rsa1 -b 1024 \
+ -f /etc/ssh/ssh_host_key -N ''
+ fi
+
+ if [ -f /etc/ssh/ssh_host_dsa_key ]; then
+ echo "You already have a DSA host key" \
+ "in /etc/ssh/ssh_host_dsa_key"
+ echo "Skipping protocol version 2 DSA Key Generation"
+ else
+ /usr/bin/ssh-keygen -t dsa -f /etc/ssh/ssh_host_dsa_key -N ''
+ fi
+
+ if [ -f /etc/ssh/ssh_host_rsa_key ]; then
+ echo "You already have a RSA host key" \
+ "in /etc/ssh/ssh_host_rsa_key"
+ echo "Skipping protocol version 2 RSA Key Generation"
+ else
+ /usr/bin/ssh-keygen -t rsa -f /etc/ssh/ssh_host_rsa_key -N ''
+ fi
+ )
+}
+
+sshd_precmd()
+{
+ if [ ! -f /etc/ssh/ssh_host_key -o \
+ ! -f /etc/ssh/ssh_host_dsa_key -o \
+ ! -f /etc/ssh/ssh_host_rsa_key ]; then
+ user_reseed
+ run_rc_command keygen
+ fi
+}
+
+load_rc_config $name
+run_rc_command "$1"
Modified: pcbsd/trunk/system-overlay/etc/rc.local
===================================================================
--- pcbsd/trunk/system-overlay/etc/rc.local 2007-04-02 21:28:24 UTC (rev 149)
+++ pcbsd/trunk/system-overlay/etc/rc.local 2007-04-06 03:16:06 UTC (rev 150)
@@ -1,22 +1,22 @@
-# Custom rc.local file - PCBSD
-
-# If no XF86Config file, try to create it
-if [ ! -f /etc/X11/XF86Config ]; then
- echo "Creating XF86Config file..."
- /PCBSD/cardDetect/x_config.sh
-fi
-
-# Detect sound-card
-/PCBSD/cardDetect/sound_detect.sh
-
-# Detect Drives
-#echo "Detecting Disk Drives..."
-/PCBSD/Scripts/startDetection.sh
-
-# Enable Linux Procfs
-kldload linprocfs
-mount -t linprocfs linprocfs /usr/compat/linux/proc
-
-# Start Online update check in 2 minutes
-echo "Starting Online Update check"
-( sleep 120 ; /PCBSD/Scripts/CheckUpdates.sh SILENT STARTUP ) &
+# Custom rc.local file - PCBSD
+
+# If no XF86Config file, try to create it
+if [ ! -f /etc/X11/XF86Config ]; then
+ echo "Creating XF86Config file..."
+ /PCBSD/cardDetect/x_config.sh
+fi
+
+# Detect sound-card
+/PCBSD/cardDetect/sound_detect.sh
+
+# Detect Drives
+#echo "Detecting Disk Drives..."
+/PCBSD/Scripts/startDetection.sh
+
+# Enable Linux Procfs
+kldload linprocfs
+mount -t linprocfs linprocfs /usr/compat/linux/proc
+
+# Start Online update check in 2 minutes
+echo "Starting Online Update check"
+( sleep 120 ; /PCBSD/Scripts/CheckUpdates.sh SILENT STARTUP ) &
Modified: pcbsd/trunk/system-overlay/etc/rc.shutdown
===================================================================
--- pcbsd/trunk/system-overlay/etc/rc.shutdown 2007-04-02 21:28:24 UTC (rev 149)
+++ pcbsd/trunk/system-overlay/etc/rc.shutdown 2007-04-06 03:16:06 UTC (rev 150)
@@ -1,109 +1,109 @@
-#!/bin/sh
-#
-# Copyright (c) 1997 Ollivier Robert
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-# 1. Redistributions of source code must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-# 2. Redistributions in binary form must reproduce the above copyright
-# notice, this list of conditions and the following disclaimer in the
-# documentation and/or other materials provided with the distribution.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
-# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
-# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
-# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
-# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
-# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
-# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
-# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
-# SUCH DAMAGE.
-#
-# $FreeBSD: src/etc/rc.shutdown,v 1.30.2.1 2005/12/21 07:11:34 dougb Exp $
-#
-
-# Site-specific closing actions for daemons run by init on shutdown,
-# or before going single-user from multi-user.
-# Output and errors are directed to console by init, and the
-# console is the controlling terminal.
-
-stty status '^T'
-
-# Set shell to ignore SIGINT (2), but not children;
-# shell catches SIGQUIT (3) and returns to single user after fsck.
-trap : 2
-trap : 3 # shouldn't be needed
-
-HOME=/
-PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin
-export HOME PATH
-
-. /etc/rc.subr
-
-load_rc_config 'XXX'
-
-# reverse_list list
-# print the list in reverse order
-#
-reverse_list()
-{
- _revlist=
- for _revfile in $*; do
- _revlist="$_revfile${script_name_sep}$_revlist"
- done
- echo $_revlist
-}
-
-# If requested, start a watchdog timer in the background which
-# will terminate rc.shutdown if rc.shutdown doesn't complete
-# within the specified time.
-#
-_rcshutdown_watchdog=
-if [ -n "$rcshutdown_timeout" ]; then
- debug "Initiating watchdog timer."
- sleep $rcshutdown_timeout && (
- _msg="$rcshutdown_timeout second watchdog"
- _msg="$_msg timeout expired. Shutdown terminated."
- logger -t rc.shutdown "$_msg"
- echo "$_msg"
- date
- kill -KILL $$ >/dev/null 2>&1
- ) &
- _rcshutdown_watchdog=$!
-fi
-
-# Determine the shutdown order of the /etc/rc.d scripts,
-# and perform the operation
-#
-rcorder_opts="-k shutdown"
-[ `/sbin/sysctl -n security.jail.jailed` -eq 1 ] && rcorder_opts="$rcorder_opts -s nojail"
-
-case ${local_startup} in
-[Nn][Oo] | '') ;;
-*) find_local_scripts_new ;;
-esac
-
-files=`rcorder ${rcorder_opts} /etc/rc.d/* ${local_rc} 2>/dev/null`
-
-for _rc_elem in `reverse_list $files`; do
- debug "run_rc_script $_rc_elem faststop"
- run_rc_script $_rc_elem faststop
-done
-
-# Terminate the background watchdog timer (if it is running)
-#
-if [ -n "$_rcshutdown_watchdog" ]; then
- kill -TERM $_rcshutdown_watchdog >/dev/null 2>&1
-fi
-
-# Insert other shutdown procedures here
-/PCBSD/Scripts/UpdateHints.sh
-
-
-echo '.'
-exit 0
+#!/bin/sh
+#
+# Copyright (c) 1997 Ollivier Robert
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD: src/etc/rc.shutdown,v 1.30.2.1 2005/12/21 07:11:34 dougb Exp $
+#
+
+# Site-specific closing actions for daemons run by init on shutdown,
+# or before going single-user from multi-user.
+# Output and errors are directed to console by init, and the
+# console is the controlling terminal.
+
+stty status '^T'
+
+# Set shell to ignore SIGINT (2), but not children;
+# shell catches SIGQUIT (3) and returns to single user after fsck.
+trap : 2
+trap : 3 # shouldn't be needed
+
+HOME=/
+PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin
+export HOME PATH
+
+. /etc/rc.subr
+
+load_rc_config 'XXX'
+
+# reverse_list list
+# print the list in reverse order
+#
+reverse_list()
+{
+ _revlist=
+ for _revfile in $*; do
+ _revlist="$_revfile${script_name_sep}$_revlist"
+ done
+ echo $_revlist
+}
+
+# If requested, start a watchdog timer in the background which
+# will terminate rc.shutdown if rc.shutdown doesn't complete
+# within the specified time.
+#
+_rcshutdown_watchdog=
+if [ -n "$rcshutdown_timeout" ]; then
+ debug "Initiating watchdog timer."
+ sleep $rcshutdown_timeout && (
+ _msg="$rcshutdown_timeout second watchdog"
+ _msg="$_msg timeout expired. Shutdown terminated."
+ logger -t rc.shutdown "$_msg"
+ echo "$_msg"
+ date
+ kill -KILL $$ >/dev/null 2>&1
+ ) &
+ _rcshutdown_watchdog=$!
+fi
+
+# Determine the shutdown order of the /etc/rc.d scripts,
+# and perform the operation
+#
+rcorder_opts="-k shutdown"
+[ `/sbin/sysctl -n security.jail.jailed` -eq 1 ] && rcorder_opts="$rcorder_opts -s nojail"
+
+case ${local_startup} in
+[Nn][Oo] | '') ;;
+*) find_local_scripts_new ;;
+esac
+
+files=`rcorder ${rcorder_opts} /etc/rc.d/* ${local_rc} 2>/dev/null`
+
+for _rc_elem in `reverse_list $files`; do
+ debug "run_rc_script $_rc_elem faststop"
+ run_rc_script $_rc_elem faststop
+done
+
+# Terminate the background watchdog timer (if it is running)
+#
+if [ -n "$_rcshutdown_watchdog" ]; then
+ kill -TERM $_rcshutdown_watchdog >/dev/null 2>&1
+fi
+
+# Insert other shutdown procedures here
+/PCBSD/Scripts/UpdateHints.sh
+
+
+echo '.'
+exit 0
More information about the Commits
mailing list